Skip to main content
POST
Revoke an entitlement

Authorizations

x-api-key
string
header
required

Headers

X-RequestIdentifier
string<uuid>

Optional identifier to support idempotency

x-request-id
string

Unique request id generated by the reseller. Useful for e2e trouble-shooting. While listed as an optional header, some content providers consider this to be mandatory.

x-operation-id
string

Reseller-generated unique id per operation. Used by some content providers to identify an idempotent retry. While listed as an optional header, some content providers consider this to be mandatory.

Path Parameters

entitlementId
string<uuid>
required

Unique identifier used on activation.

Body

application/json

Reason category, code and description are added to the extensionData after a successful request to terminate the entitlement

cancelReasonCategory
enum<string>

High level category for the type of termination.

Available options:
CUSTOMER_CANCELLED,
REVOKED
cancelReasonCode
enum<string>

Code representing the entitlement cancel or revoke reason. More information can be found here "https://developer.bango.info/categories-and-codes/"

Available options:
NOT_RENEWED,
CHANGED_SERVICE,
SUBSCRIPTION_CANCELLED,
ADDON_CANCELLED,
EXPIRED,
ACCOUNT_TERMINATED,
SUSPEND_TERMINATED,
ERROR,
FRAUD,
IMMEDIATE_CANCELLATION,
OTHER
cancelReasonDescription
string

Additional information for termination reason

Response

Entitlement revoke successfully

entitlementId
string

Unique identifier representing a specific entitlement

customerIdentifier
string

Unique, immutable user identifier

Example:

"123456789"

sharedCustomerId
string<uuid>

Bango generated id shared between reseller and merchant for this customer (contact support for setup)

Example:

"db2001b5-fde5-4654-9ecd-b3b04ba8f025"

merchantAccountKey
string

Unique identifier for the content provider

Example:

"BANGO_US"

productKey
string

Unique identifier for the product/offer

Example:

"MUSIC"

notificationUrl
string<url>

The endpoint where Bango will send all notifications regarding this entitlement

Example:

"https://notifications.bango.com"

offerKey
string

Entitlement offer identifier

Example:

"BUNDLE"

externalEntitlementId
string

Unique identifier for the entitlement provided by the reseller. If the previous attempt to create an entitlement failed, this value can be reused.

Example:

"124130d2-2cbc-45a1-ab9b-dfa8b67a2e63"

entitlementDisplayName
string

Entitlement display name used in reports.

Example:

"30 day free trial for Bango Music"

dateCreated
string<date>

Timestamp for the creation of the entitlement

Example:

"2024-06-22T17:35:38.920Z"

dateActivated
string<Date>

Timestamp provided by the content provider when the entitlement is activated

Example:

"2024-06-23T17:35:38.920Z"

dateEnded
string<date>

Timestamp for when the entitlement terminated

Example:

"1901-01-01T00:00:00.000Z"

dateSuspended
string<date>

Timestamp for when the entitlement was suspended

Example:

null

dateResumed
string<date>

Timestamp for when the entitlement was last resumed

Example:

null

dateExpiry
string<date>

If set, Bango will schedule a termination request to the content provider on this date. Date format must be ISO 8601

Example:

"2024-12-05T07:46:52.000Z"

dateAutoSuspend
string<date>

If set, Bango will schedule a suspension request to the content provider on this date. Date format must be ISO 8601

Example:

"2024-09-05T07:46:52.000Z"

responseCode
string
Example:

"OK"

responseMessage
string
Example:

"Success"

status
enum<string>

The entitlement status. Possible values are:

  • PENDING: The entitlement has been initiated, but the user has not yet completed the activation process.
  • ACTIVE: The entitlement has been successfully activated
  • SUSPENDED: The entitlement has been suspended.
  • ACTIVE-ENDING: The entitlement is ending at the end of the current period.
  • CANCELLED: The entitlement has been cancelled.
  • REVOKED: The entitlement has been revoked.
Available options:
PENDING,
ACTIVE,
SUSPENDED,
ACTIVE-ENDING,
CANCELLED,
REVOKED
Example:

"ACTIVE"

activationCode
string

Code or token used for the entitlement activation

Example:

null

parameters
object
extensionData
object

Custom key value pairs

extraInformation
object